Subject: Offline Message from Hannah Palfreyman: I’m having problems with the delivery
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 Jun 2020 11:40:39 -0000

From: Hannah Palfreyman <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/view/order_id/1549498/
Department: 

I’m having problems with the delivery of a VERY LATE order that is due to be delivered by Esnad express (order reference 100141654, tracking number 31013000040848). 

It says online that they have tried to deliver this items to us a number of times, however we haven’t had any missed calls or messages from the drivers!! Now the package is stuck at the delivery office with the status of ‘undeliverable’. We lived on a gated compound which is manned 24 hours a day so the delivery driver can leave the package with security at any point in the day. I have emailed Esnad to explain this but they have not replied to my message. Please can you contact Esnad on my behalf & tell them to leave the parcel with security as it is already very delayed. 

I am not at all happy with the service I have received so far.

----
Zopim
https://www.zopim.com